Index: src/temporal/a_weighting.h
===================================================================
--- src/temporal/a_weighting.h	(revision e6a78ea077fd779dd84806b7e61e1027e5c3cea3)
+++ src/temporal/a_weighting.h	(revision bafe71d4aff707869145b763043e36aaded03d02)
@@ -80,5 +80,5 @@
 
 */
-uint_t aubio_filter_set_a_weighting (aubio_filter_t *f, uint_t samplerate);
+uint_t aubio_filter_set_a_weighting (aubio_filter_t * f, uint_t samplerate);
 
 #ifdef __cplusplus
Index: src/temporal/biquad.c
===================================================================
--- src/temporal/biquad.c	(revision e6a78ea077fd779dd84806b7e61e1027e5c3cea3)
+++ src/temporal/biquad.c	(revision bafe71d4aff707869145b763043e36aaded03d02)
@@ -26,5 +26,6 @@
 uint_t
 aubio_filter_set_biquad (aubio_filter_t * f, lsmp_t b0, lsmp_t b1, lsmp_t b2,
-    lsmp_t a1, lsmp_t a2) {
+    lsmp_t a1, lsmp_t a2)
+{
   uint_t order = aubio_filter_get_order (f);
   lvec_t *bs = aubio_filter_get_feedforward (f);
Index: src/temporal/filter.c
===================================================================
--- src/temporal/filter.c	(revision e6a78ea077fd779dd84806b7e61e1027e5c3cea3)
+++ src/temporal/filter.c	(revision bafe71d4aff707869145b763043e36aaded03d02)
@@ -81,19 +81,21 @@
 
 /* The rough way: reset memory of filter between each run to avoid end effects. */
-void aubio_filter_do_filtfilt(aubio_filter_t * f, fvec_t * in, fvec_t * tmp) {
-  uint_t j,i=0;
+void
+aubio_filter_do_filtfilt (aubio_filter_t * f, fvec_t * in, fvec_t * tmp)
+{
+  uint_t j, i = 0;
   uint_t length = in->length;
   /* apply filtering */
-  aubio_filter_do(f,in);
-  aubio_filter_do_reset(f);
+  aubio_filter_do (f, in);
+  aubio_filter_do_reset (f);
   /* mirror */
   for (j = 0; j < length; j++)
-    tmp->data[i][length-j-1] = in->data[i][j];
+    tmp->data[i][length - j - 1] = in->data[i][j];
   /* apply filtering on mirrored */
-  aubio_filter_do(f,tmp);
-  aubio_filter_do_reset(f);
+  aubio_filter_do (f, tmp);
+  aubio_filter_do_reset (f);
   /* invert back */
   for (j = 0; j < length; j++)
-    in->data[i][j] = tmp->data[i][length-j-1];
+    in->data[i][j] = tmp->data[i][length - j - 1];
 }
 
@@ -132,6 +134,6 @@
 aubio_filter_do_reset (aubio_filter_t * f)
 {
-  lvec_zeros(f->x);
-  lvec_zeros(f->y);
+  lvec_zeros (f->x);
+  lvec_zeros (f->y);
 }
 
Index: src/temporal/resampler.c
===================================================================
--- src/temporal/resampler.c	(revision e6a78ea077fd779dd84806b7e61e1027e5c3cea3)
+++ src/temporal/resampler.c	(revision bafe71d4aff707869145b763043e36aaded03d02)
@@ -23,5 +23,5 @@
 #if HAVE_SAMPLERATE
 
-#include <samplerate.h> /* from libsamplerate */
+#include <samplerate.h>         /* from libsamplerate */
 
 #include "aubio_priv.h"
@@ -29,42 +29,48 @@
 #include "temporal/resampler.h"
 
-struct _aubio_resampler_t {
-	SRC_DATA  *proc;
-	SRC_STATE *stat;
-	smpl_t ratio;
-	uint_t type;
+struct _aubio_resampler_t
+{
+  SRC_DATA *proc;
+  SRC_STATE *stat;
+  smpl_t ratio;
+  uint_t type;
 };
 
-aubio_resampler_t * new_aubio_resampler(smpl_t ratio, uint_t type) {
-	aubio_resampler_t * s  = AUBIO_NEW(aubio_resampler_t);
-	int error = 0;
-	s->stat = src_new (type, 1, &error) ; /* only one channel */
-	s->proc = AUBIO_NEW(SRC_DATA);
-	if (error) AUBIO_ERR("%s\n",src_strerror(error));
-	s->ratio = ratio;
-	return s;
+aubio_resampler_t *
+new_aubio_resampler (smpl_t ratio, uint_t type)
+{
+  aubio_resampler_t *s = AUBIO_NEW (aubio_resampler_t);
+  int error = 0;
+  s->stat = src_new (type, 1, &error);  /* only one channel */
+  s->proc = AUBIO_NEW (SRC_DATA);
+  if (error)
+    AUBIO_ERR ("%s\n", src_strerror (error));
+  s->ratio = ratio;
+  return s;
 }
 
-void del_aubio_resampler(aubio_resampler_t *s) {
-	src_delete(s->stat);
-	AUBIO_FREE(s->proc);
-	AUBIO_FREE(s);
+void
+del_aubio_resampler (aubio_resampler_t * s)
+{
+  src_delete (s->stat);
+  AUBIO_FREE (s->proc);
+  AUBIO_FREE (s);
 }
 
-void aubio_resampler_do (aubio_resampler_t *s, 
-    fvec_t * input,  fvec_t * output) {
-	uint_t i ;
-	s->proc->input_frames = input->length;
-	s->proc->output_frames = output->length;
-	s->proc->src_ratio = (double)s->ratio;
-	for (i = 0 ; i< input->channels; i++) 
-	{
-		/* make SRC_PROC data point to input outputs */
-		s->proc->data_in = (float *)input->data[i];
-		s->proc->data_out= (float *)output->data[i];
-		/* do resampling */
-		src_process (s->stat, s->proc) ;
-	}
-}	
+void
+aubio_resampler_do (aubio_resampler_t * s, fvec_t * input, fvec_t * output)
+{
+  uint_t i;
+  s->proc->input_frames = input->length;
+  s->proc->output_frames = output->length;
+  s->proc->src_ratio = (double) s->ratio;
+  for (i = 0; i < input->channels; i++) {
+    /* make SRC_PROC data point to input outputs */
+    s->proc->data_in = (float *) input->data[i];
+    s->proc->data_out = (float *) output->data[i];
+    /* do resampling */
+    src_process (s->stat, s->proc);
+  }
+}
 
 #endif /* HAVE_SAMPLERATE */
Index: src/temporal/resampler.h
===================================================================
--- src/temporal/resampler.h	(revision e6a78ea077fd779dd84806b7e61e1027e5c3cea3)
+++ src/temporal/resampler.h	(revision bafe71d4aff707869145b763043e36aaded03d02)
@@ -46,8 +46,8 @@
 
 */
-aubio_resampler_t * new_aubio_resampler(smpl_t ratio, uint_t type);
+aubio_resampler_t *new_aubio_resampler (smpl_t ratio, uint_t type);
 
 /** delete resampler object */
-void del_aubio_resampler(aubio_resampler_t *s);
+void del_aubio_resampler (aubio_resampler_t * s);
 
 /** resample input in output
@@ -58,5 +58,6 @@
 
 */
-void aubio_resampler_do (aubio_resampler_t *s, fvec_t * input,  fvec_t * output);
+void aubio_resampler_do (aubio_resampler_t * s, fvec_t * input,
+    fvec_t * output);
 
 #ifdef __cplusplus
